View Issue Details

IDProjectCategoryView StatusLast Update
0018832LazarusLCLpublic2011-03-16 23:12
ReportercobinesAssigned ToJesus Reyes 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformWin32OSWindows XPOS VersionSP3
Product Version0.9.31 (SVN)Product Build29664 
Target VersionFixed in Version0.9.31 (SVN) 
Summary0018832: TCustomGrid: After setting FixedCols=0 grid still has fixed columns
DescriptionSettings FixedCols=0 or FixedRows=0 sometimes doesn't work and the grid still has fixed columns or rows. Currently the fixed cols are remembered in FGridPropBackup. In the constructor FGridPropBackup.FixedColCount is set to 1. Then setting FixedCols=0 works, but adding columns or row causes FGridPropBackup.FixedColCount to be used and fixed cols are set back to 1 (for example in TCustomGrid.InternalSetColCount).
Steps To Reproduce1. Run attached application.
2. Press "Add column, row" button a few times. Notice the grid has fixed row and fixed column, even though in the constructor they were set to 0.
TagsNo tags attached.
Fixed in Revision29746
LazTarget-
Widgetset
Attached Files

Activities

2011-02-26 22:11

 

grids_fixedcols.zip (2,174 bytes)

Jesus Reyes

2011-03-07 21:42

developer   ~0046494

please test.

cobines

2011-03-16 23:12

reporter   ~0046642

Now it is OK. Thanks.

Issue History

Date Modified Username Field Change
2011-02-26 22:11 cobines New Issue
2011-02-26 22:11 cobines File Added: grids_fixedcols.zip
2011-03-07 21:37 Jesus Reyes Status new => assigned
2011-03-07 21:37 Jesus Reyes Assigned To => Jesus Reyes
2011-03-07 21:42 Jesus Reyes Fixed in Revision => 29746
2011-03-07 21:42 Jesus Reyes LazTarget => -
2011-03-07 21:42 Jesus Reyes Status assigned => resolved
2011-03-07 21:42 Jesus Reyes Fixed in Version => 0.9.31 (SVN)
2011-03-07 21:42 Jesus Reyes Resolution open => fixed
2011-03-07 21:42 Jesus Reyes Note Added: 0046494
2011-03-07 21:42 Jesus Reyes Target Version => 0.99.0
2011-03-16 23:12 cobines Status resolved => closed
2011-03-16 23:12 cobines Note Added: 0046642